summaryrefslogtreecommitdiff
path: root/testprogs
diff options
context:
space:
mode:
authorGünther Deschner <gd@samba.org>2014-08-26 18:01:10 +0200
committerAndreas Schneider <asn@cryptomilk.org>2014-09-01 15:47:33 +0200
commitc4e15e0f6d367cc0e527af002ea65e0be4dacfa9 (patch)
tree3104f6613ffa3ddef20e15237c386bf4ee4705c5 /testprogs
parenta78a87ac5397e464de9d8e81c0c0334d278f9032 (diff)
downloadsamba-c4e15e0f6d367cc0e527af002ea65e0be4dacfa9.tar.gz
testprogs: use texpect instead of rkpty.
Guenther Pair-Programmed-With: Andreas Schneider <asn@samba.org> Signed-off-by: Guenther Deschner <gd@samba.org> Reviewed-by: Andrew Bartlet <abartlet@samba.org>
Diffstat (limited to 'testprogs')
-rwxr-xr-xtestprogs/blackbox/test_kinit.sh10
-rwxr-xr-xtestprogs/blackbox/test_pdbtest.sh6
-rwxr-xr-xtestprogs/blackbox/test_pkinit.sh1
3 files changed, 8 insertions, 9 deletions
diff --git a/testprogs/blackbox/test_kinit.sh b/testprogs/blackbox/test_kinit.sh
index 000303ac71f..6ec1eafc6e6 100755
--- a/testprogs/blackbox/test_kinit.sh
+++ b/testprogs/blackbox/test_kinit.sh
@@ -29,7 +29,7 @@ if test -x $BINDIR/samba4kinit; then
fi
samba_tool="$samba4bindir/samba-tool"
-rkpty="$samba4bindir/rkpty"
+texpect="$samba4bindir/texpect"
samba4kpasswd=kpasswd
if test -x $BINDIR/samba4kpasswd; then
samba4kpasswd=$BINDIR/samba4kpasswd
@@ -137,7 +137,7 @@ send ${NEWUSERPASS}\n
expect Success
EOF
-testit "change user password with kpasswd" $rkpty $PREFIX/tmpkpasswdscript $samba4kpasswd nettestuser@$REALM || failed=`expr $failed + 1`
+testit "change user password with kpasswd" $texpect $PREFIX/tmpkpasswdscript $samba4kpasswd nettestuser@$REALM || failed=`expr $failed + 1`
testit "kinit with user password" $samba4kinit $enctype --password-file=$PREFIX/tmpuserpassfile --request-pac nettestuser@$REALM || failed=`expr $failed + 1`
@@ -154,7 +154,7 @@ send ${NEWUSERPASS}\n
expect Success
EOF
-testit "set user password with kpasswd" $rkpty $PREFIX/tmpkpasswdscript $samba4kpasswd --cache=$PREFIX/tmpccache nettestuser@$REALM || failed=`expr $failed + 1`
+testit "set user password with kpasswd" $texpect $PREFIX/tmpkpasswdscript $samba4kpasswd --cache=$PREFIX/tmpccache nettestuser@$REALM || failed=`expr $failed + 1`
testit "kinit with user password" $samba4kinit $enctype --password-file=$PREFIX/tmpuserpassfile --request-pac nettestuser@$REALM || failed=`expr $failed + 1`
@@ -171,7 +171,7 @@ send ${NEWUSERPASS}\n
expect Success
EOF
-testit "set user password with kpasswd and servicePrincipalName" $rkpty $PREFIX/tmpkpasswdscript $samba4kpasswd --cache=$PREFIX/tmpccache host/nettestuser@$REALM || failed=`expr $failed + 1`
+testit "set user password with kpasswd and servicePrincipalName" $texpect $PREFIX/tmpkpasswdscript $samba4kpasswd --cache=$PREFIX/tmpccache host/nettestuser@$REALM || failed=`expr $failed + 1`
testit "kinit with user password" $samba4kinit $enctype --password-file=$PREFIX/tmpuserpassfile --request-pac nettestuser@$REALM || failed=`expr $failed + 1`
@@ -201,7 +201,7 @@ send ${NEWUSERPASS}\n
expect Success: Password changed
EOF
-testit "kinit with user password for expired password" $rkpty $PREFIX/tmppasswordchange $samba4kinit $enctype --request-pac nettestuser@$REALM && failed=`expr $failed + 1`
+testit "kinit with user password for expired password" $texpect $PREFIX/tmppasswordchange $samba4kinit $enctype --request-pac nettestuser@$REALM && failed=`expr $failed + 1`
test_smbclient "Test login with user kerberos ccache" 'ls' -k yes || failed=`expr $failed + 1`
diff --git a/testprogs/blackbox/test_pdbtest.sh b/testprogs/blackbox/test_pdbtest.sh
index 05314dd2f55..017116c206e 100755
--- a/testprogs/blackbox/test_pdbtest.sh
+++ b/testprogs/blackbox/test_pdbtest.sh
@@ -23,7 +23,7 @@ pdbtest="$samba4bindir/pdbtest"
pdbedit="$samba4bindir/pdbedit"
net="$samba4bindir/net"
smbpasswd="$samba4bindir/smbpasswd"
-rkpty="$samba4bindir/rkpty"
+texpect="$samba4bindir/texpect"
. `dirname $0`/subunit.sh
@@ -58,7 +58,7 @@ expect retype new password:
send ${NEWUSERPASS}\n
EOF
-testit "create user with pdbedit" $rkpty ./tmpsmbpasswdscript $VALGRIND $pdbedit -a $USER --account-desc="pdbedit-test-user" $@ || failed=`expr $failed + 1`
+testit "create user with pdbedit" $texpect ./tmpsmbpasswdscript $VALGRIND $pdbedit -a $USER --account-desc="pdbedit-test-user" $@ || failed=`expr $failed + 1`
USERPASS=$NEWUSERPASS
test_smbclient "Test login with user (ntlm)" 'ls' -k no -U$USER%$NEWUSERPASS $@ || failed=`expr $failed + 1`
@@ -77,7 +77,7 @@ expect Retype new SMB password:
send ${NEWUSERPASS}\n
EOF
-testit "set user password with smbpasswd" $rkpty ./tmpsmbpasswdscript $smbpasswd -L $USER -c $SMB_CONF || failed=`expr $failed + 1`
+testit "set user password with smbpasswd" $texpect ./tmpsmbpasswdscript $smbpasswd -L $USER -c $SMB_CONF || failed=`expr $failed + 1`
USERPASS=$NEWUSERPASS
test_smbclient "Test login with user (ntlm)" 'ls' -k no -U$USER%$NEWUSERPASS $@|| failed=`expr $failed + 1`
diff --git a/testprogs/blackbox/test_pkinit.sh b/testprogs/blackbox/test_pkinit.sh
index 78c888bb6c3..b727c0c6689 100755
--- a/testprogs/blackbox/test_pkinit.sh
+++ b/testprogs/blackbox/test_pkinit.sh
@@ -29,7 +29,6 @@ if test -x $BINDIR/samba4kinit; then
fi
samba_tool="$samba4bindir/samba-tool"
-rkpty="$samba4bindir/rkpty"
samba4kpasswd=kpasswd
if test -x $BINDIR/samba4kpasswd; then
samba4passwd=$BINDIR/samba4kpasswd